Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
tokens
/
{address_hash_param}
/
instances
/
{token_id_param}
/
media-type
Fetch media type for a specific NFT instance
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/instances/{token_id_param}/media-type \
  --header 'Authorization: Bearer <token>'
{}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
token_id_param
string | null
required

Token ID for ERC-721/1155/404 tokens

Pattern: ^-?([1-9][0-9]*|0)$
chain_id
string
required

The ID of the blockchain

Response

Media type categories for the NFT instance.

animation_media_type
enum<string> | null
Available options:
image,
video,
html
image_media_type
enum<string> | null
Available options:
image,
video,
html